<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>我的留言本 - 會員中心 - <?php echo $cfg_webname; ?></title>
<link href="templets/style/base.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="templets/js/j.js"></script>
<script type="text/javascript" language='javascript' src='templets/js/main.js'></script>
<script type="text/javascript" language="javascript" src="../include/dedeajax2.js"></script>
<script type="text/javascript" src="templets/js/table_function.js"></script>
<script type="text/javascript" src="templets/js/leftmenu.js"></script>
<script type="text/javascript">
var reMethod = "<?php echo ($cfg_soft_lang == 'utf-8') ? 'POST' : 'GET';?>";
var pageno = 1;
var totalrow = <?php echo $totalRow; ?>;
var pagesize = <?php echo $pagesize; ?>;
var selitem = 0;
//加載列表
function ReloadPage(){
	$("#rslist").html("加載中...<br>[<a href=\"javascript:LoadPage('"+pageno+"')\"><u>點擊此重新加載列表</u></a>]");	
	$.ajax({type: reMethod,url: "guestbook_admin.php",
		data: "dopost=getlist&pageno="+pageno,
		dataType: 'html',
		success: function(result){$("#rslist").html(result);}
	});
}
//載入指定頁的列表
function LoadPage(npage){
	pageno = npage;
	ReloadPage();
	ReloadPageNum(pageno);
}
//刪除留言
function DelNote(nid){
	if(!window.confirm('你確定要刪除這則留言嗎?'))
	{
		return false;
	}
	totalrow = totalrow - 1;
	var pagenum = Math.ceil(totalrow/pagesize);
	if(pagenum<=pageno) pageno = pagenum;
	$("#rslist").html("加載中...<br>[<a href=\"javascript:LoadPage('"+pageno+"')\"><u>點擊此重新加載列表</u></a>]");
	
	$.ajax({type: reMethod,url: "guestbook_admin.php",
		data: "dopost=del&aid="+nid+"&pageno="+pageno,
		dataType: 'html',
		success: function(result){$("#rslist").html(result);}
	});	
	LoadPage(pageno);
}
//獲得選中文項的ID
function getCheckboxItem()
{
	var allSel="";
	selitem = 0;
	if(document.form1.ids.value){
		selitem++;
		return document.form1.ids.value;
	}
	for(i=0;i<document.form1.ids.length;i++){
		if(document.form1.ids[i].checked){
			if(allSel=="") allSel=document.form1.ids[i].value;
			else allSel=allSel+","+document.form1.ids[i].value;
			selitem++;
		}
	}
	return allSel;
}
//批量刪除留言
function DelNotes(){
	var listArea = $Obj('rslist');
	var aids = getCheckboxItem();
	if(selitem==0)
	{
		alert("你沒選中任何內容！");
		return false;
	}
	if(!window.confirm('你確定要刪除這些留言嗎?'))
	{
		return false;
	}
	totalrow = totalrow - selitem;
	var pagenum = Math.ceil(totalrow/pagesize);
	if(pagenum<=pageno) pageno = pagenum;
	
	$("#rslist").html("加載中...<br>[<a href=\"javascript:LoadPage('"+pageno+"')\"><u>點擊此重新加載列表</u></a>]");
	
	$.ajax({type: reMethod,url: "guestbook_admin.php",
		data: "dopost=del&ids="+aids+"&pageno="+pageno,
		dataType: 'html',
		success: function(result){$("#rslist").html(result);}
	});
	
	LoadPage(pageno);
}
//重新加載分頁列表
function ReloadPageNum(startnum){
	var pagenum = Math.ceil(totalrow/pagesize);
	var listsize = 3;
	var ahtml = "";
	var startloop = 1;
	var endnum = 0;
	ahtml += "<span>共："+totalrow+" 條記錄/"+pagenum+"頁</span> ";
	if(pageno>1) ahtml += "<a href='#' onclick='LoadPage("+(pageno-1)+")'>↑上頁</a> ";
	if(startnum >= pagenum-listsize){
		startloop = pagenum-(listsize*2);
		if(startloop<1) startloop = 1;
		for(i=startloop;i<=pagenum;i++){
			if(i==pageno) ahtml += "<span style='color:#555;font-weight:bold;'>"+i+"</span>";
			else ahtml += "<a href='#' onclick='LoadPage("+i+")'>"+i+"</a> ";
		}
	}
	else if(pagenum < listsize){
		for(i=1;i<=pagenum;i++){
			if(i==pageno) ahtml += "<span style='background:#006600; color:#FFFFFF;'>"+i+"</span>";
			else ahtml += "<a href='#' onclick='LoadPage("+i+")'>"+i+"</a> ";
		}
	}
	else{
		startloop = startnum-listsize;
		if(startloop<1){ startloop=1; endnum = startloop + (listsize*2); }
		else{ endnum = startnum+listsize; }
		if(endnum >= pagenum) endnum = pagenum;
		for(i=startloop;i<=endnum;i++){
			if(i==pageno) ahtml += "<span style='background:#006600; color:#FFFFFF;'>"+i+"</span>";
			else ahtml += "<a href='#' onclick='LoadPage("+i+")'>"+i+"</a> ";
		}
	}
	if(pageno<pagenum) ahtml += "<a href='#' onclick='LoadPage("+(pageno+1)+")'>下頁↓</a> ";
	$('#pagelist').html(ahtml);
}
</script>
</head>
<body>
<div id="main">
  <?php include(DEDEMEMBER."/templets/head.htm"); ?>
  <div id="content" class="w960 clearfix">
    <?php include(DEDEMEMBER."/templets/menu.php"); ?>
    <div id="mcpmain">
      <div id="appTab">
        <ul>
          <li class="thisTab"><a href="#"><span>留言板</span></a></li>
        </ul>
        <div class="tabOther">
        <button id="checkedClick" type="button" class="greenBtn1">全選</button>
        <button type="button" onclick="DelNotes()" class="greenBtn3">刪除選中</button>
        </div>
      </div>
      <div id="mainCp">
         <form name="form1">
          <span id='rslist'>
          <?php GetList($dsql,$pageno,$pagesize,'aid'); ?>
          </span>
        </form>
        <div id="pagelist"></div>
        <!--主操作區域 -->
      <script type="text/javascript">
		ReloadPageNum(1);
	  </script>
      </div>

    </div>
  </div>
<?php include(DEDEMEMBER."/templets/foot.htm"); ?>
</div>
</body>
</html>
